Complete unification of all accounts to SUL
OpenPublic

Assigned To
Legoktm
Priority
Unbreak Now!
Author
MarkAHershberger
Blocks
T74469: OAuth: Authorisation should not fail because you don't have an account on central wiki
T1382: Add login and create account links to www project portals
T24673: if last local account is moved sul should be deleted by itself
T51315: record wikibase recent change entries attributed as non-anon
T68699: Increase "remember me" login cookie expiry from 30 days to 1 year on Wikimedia wikis
T4007: Tracking bug (tracking)
T51740: watchlist filter to not show own edits doesn't work for Wikidata edits
T18690: Re-work messaging about global account status [[Special:Preferences]] once all accounts are SUL accounts
Blocked By
T70069: Set $wgCentralAuthPreventUnattached = true; on all wikis
T69995: Allow login in with pre-rename username and password
T73241: Run sendConfirmAndMigrateEmail.php for all unconfirmed emails on all wikis
T69901: Add config setting to prevent creation of new unattached accounts
T71291: Run migrateAccount.php without --safe or --auto
T72850: Not possible to filter Special:Log/gblrename by old CentralAuth account name
T70927: Prevent new account creations from taking names that have been requested in a pending rename request
T70924: Create special page to manage global rename request queue
T70886: Request global account rename from home wiki before forced SUL name change
T69350: Audit centralauth database for inconsistencies
T72392: Allow to automatically unify on login absent clashes
T74123: Add a maintenance script to send mass messages
T63876: Attach all broken autocreated local accounts to their global account
T73924: Add users_to_rename table to centralauth database
T56761: EmailableUser calls non-existing class ConfirmAndMigrateUser
T56760: sendConfirmAndMigrateEmail.php: add an option to include emailconfirmed accounts
T41817: Migrate to SUL all non-clashing accounts
T49918: Rename of global (attached) users to existing global usernames
T16862: Allow global renaming of global users
Subscribers
greg, Asahiko, Harej and 50 others
Projects
Tokens
"Mountain of Wealth" token, awarded by Harej."Yellow Medal" token, awarded by bd808."Love" token, awarded by Ricordisamoa.
Security
None
Reference
bz35707
Description

From the (un)-archived discussion at meta (http://meta.wikimedia.org/w/index.php?title=Wikimedia_Forum&diff=next&oldid=3619272), [[User:JohnnyMrNinja]] writes (in part):

I am proposing that account unification be completed for all eligible accounts
without requiring the user to take any additional steps. This would make UL the
rule rather than the exception that it currently is, and bring us closer to the
goals of universal watchlists, recent changes, interwiki page moves, etc. This
would be especially helpful on Commons, which has so many images that were
originally uploaded at another WMF wiki, enabling better attribution without
interwiki links. I propose that it be carried out as a one-time process rather
than a continuous automatic software process, allowing users to still adjust
ULs as they see fit.

[...]what I mean by "eligible accounts" was all accounts without existing
conflicts, as these can be taken care of by an automated process. Accounts that
have conflicts would be unaffected by this specific proposal. Conflicts could
not be solved by any automated process, as each case would be different.

Looks like it has enormous support on meta. I'm not sure about the ins and outs here, so I'm going to add people who I think know more as well as post this bug to wikitech-l.


Version: unspecified
Severity: enhancement
URL: https://meta.wikimedia.org/wiki/Single_User_Login_finalisation_announcement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=39817
https://bugzilla.wikimedia.org/show_bug.cgi?id=36939

Older changes are hidden. Show older changes.
Jarry1250 added a comment.Via ConduitSep 3 2012, 1:00 PM

Any updates on this one?

bzimport added a comment.Via ConduitMar 13 2013, 5:10 AM

wmf.amgine3691 wrote:

<blinks w00tingly>

Jdforrester-WMF added a comment.Via ConduitMay 1 2013, 3:22 AM

This doesn't remotely block bug 36939.

Noting that this is assigned to me and actually happening now.

Aklapper added a comment.Via ConduitAug 23 2013, 9:33 AM

I've lost track for when this is planned to be done and cannot find dates on https://meta.wikimedia.org/wiki/Single_User_Login_finalisation_announcement or https://meta.wikimedia.org/wiki/Help:Unified_login . Could somebody enlighten me?

Trijnstel added a comment.Via ConduitAug 23 2013, 9:39 AM

(In reply to comment #10)

I've lost track for when this is planned to be done and cannot find dates on
https://meta.wikimedia.org/wiki/Single_User_Login_finalisation_announcement
or
https://meta.wikimedia.org/wiki/Help:Unified_login . Could somebody enlighten
me?

I wondered too as I saw this change from "August 2013" to "sometime", so I asked James Forrester this week, but no reply up to now. Would love an answer.

Trijnstel added a comment.Via ConduitAug 23 2013, 9:40 AM

(In reply to comment #11)

(In reply to comment #10)
> I've lost track for when this is planned to be done and cannot find dates on
> https://meta.wikimedia.org/wiki/Single_User_Login_finalisation_announcement
> or
> https://meta.wikimedia.org/wiki/Help:Unified_login . Could somebody enlighten
> me?

I wondered too as I saw this change from "August 2013" to "sometime", so I
asked James Forrester this week, but no reply up to now. Would love an
answer.

https://meta.wikimedia.org/w/index.php?title=Single_User_Login_finalisation_announcement&diff=5726233&oldid=5643305 (sorry, forgot to add the link)

Aklapper added a comment.Via ConduitAug 26 2013, 3:32 PM

WMF's Release manager told me that this is postponed to an unknown date, as currently https://meta.wikimedia.org/wiki/HTTPS binds resources.

Nemo_bis added a comment.Via ConduitSep 4 2013, 6:59 AM

(In reply to comment #13)

WMF's Release manager told me that this is postponed to an unknown date, as
currently https://meta.wikimedia.org/wiki/HTTPS binds resources.

Thanks Greg for the update! Now that the most hectic phase of current [[m:HTTPS]] plans is over, could we get more information and maybe a little urgent work on this?

Specifically, the biggest community concern is the lack of time after notifications. The notification system was already coded and notifications don't need 100.00 % perfect lists of affected users, so sending them should require little effort and make things much, much easier in a few weeks or months when resources will be found to actually implement the change.

Stefan2 added a comment.Via ConduitOct 8 2013, 10:35 PM

(In reply to comment #14)

Thanks Greg for the update! Now that the most hectic phase of current
[[m:HTTPS]] plans is over, could we get more information and maybe a little
urgent work on this?

There is a note at [[User talk:Jdforrester (WMF)#SUL Finalisation]] which suggests that it won't take place within "the next few weeks" (as of 28 September). Also, does the information in that discussion mean that this bug is assigned to the wrong person?

Jdforrester-WMF added a comment.Via ConduitOct 8 2013, 10:40 PM

(In reply to comment #15)

Also, does the information in that discussion mean that this bug is
assigned to the wrong person?

{{fixed}}

Nemo_bis added a comment.Via ConduitOct 31 2013, 1:51 PM

I'm wondering how hard it would be for some community member to run a database query and produce a partial list of accounts which will be interested by this unification, so that we can start warning them and avoid last-minute panic. The 114,604 local accounts (as of 2013-05-16) clashing with a global accounts look like ideal candidates for a first batch of community notifications.

Aklapper added a comment.Via ConduitNov 22 2013, 3:39 PM

dgarry: Any input / opinion on Nemo's last comment? Wondering how to move forward / what is currently blocking this ticket (and bug 39817).

Aklapper added a comment.Via ConduitDec 18 2013, 2:48 PM

dgarry: Any input / opinion on Nemo's last comment? Wondering how to move
forward / what is currently blocking this ticket (and bug 39817).

Trijnstel added a comment.Via ConduitDec 18 2013, 8:53 PM

(In reply to comment #19)

dgarry: Any input / opinion on Nemo's last comment? Wondering how to move
forward / what is currently blocking this ticket (and bug 39817).

I saw something regarding global rename (and thus SUL unification) here: https://en.wikipedia.org/wiki/Wikipedia:Bureaucrats%27_noticeboard/Archive_29#CHU.2FS_.26_CHUU

Deskana added a comment.Via ConduitDec 18 2013, 9:34 PM

(In reply to comment #19)

dgarry: Any input / opinion on Nemo's last comment? Wondering how to move
forward / what is currently blocking this ticket (and bug 39817).

The blocker is basically me. I'm still new to product management and I need to sit down face to face with another product manager and be walked through this. Realistically this can't start until I'm relocated to San Francisco, which (fingers crossed) is next month.

MZMcBride added a comment.Via ConduitDec 18 2013, 9:53 PM

(In reply to comment #17)

I'm wondering how hard it would be for some community member to run a
database query and produce a partial list of accounts which will be interested
by this unification, so that we can start warning them and avoid last-minute
panic.

It would be fairly simple to generate such a list. My concern is that someone, acting in good faith, would take the list and notify tens of thousands of accounts and create a false panic, particularly before the ability to globally rename a user exists (bug 14862).

Nemo_bis added a comment.Via ConduitDec 18 2013, 10:09 PM

(In reply to comment #22)

(In reply to comment #17)
> I'm wondering how hard it would be for some community member to run a
> database query and produce a partial list of accounts which will be interested
> by this unification, so that we can start warning them and avoid last-minute
> panic.

It would be fairly simple to generate such a list. My concern is that
someone,
acting in good faith, would take the list and notify tens of thousands of
accounts and create a false panic, particularly before the ability to
globally
rename a user exists (bug 14862).

Hm? The sooner local accounts are renamed, the better.

Nemo_bis added a comment.Via ConduitMar 8 2014, 9:22 AM

Given that it's now about 7 months with no movement here, FYI I'm available to act as (volunteer) product manager for this if WMF people are too busy with other things.
It's simpler for someone with years of experience in SUL as well as local, cross-wiki and global rename practices and otherwise (stewards are another group where it's easy to find such people).

Deskana added a comment.Via ConduitMar 19 2014, 9:55 PM

I've got a plan afoot. Stay tuned for more information.

Nemo_bis added a comment.Via ConduitApr 7 2014, 6:41 PM

(In reply to Dan Garry from comment #25)

I've got a plan afoot.

I don't believe you.

Stay tuned for more information.

I don't want to stay tuned, I have limited battery. Just transmit.

bzimport added a comment.Via ConduitApr 7 2014, 7:34 PM

wmf.amgine3691 wrote:

(In reply to Dan Garry from comment #25)

I've got a plan afoot.

"Before the game is afoot, thou still let'st slip."

Deskana added a comment.Via ConduitApr 7 2014, 7:35 PM

(In reply to Nemo from comment #26)

(In reply to Dan Garry from comment #25)
> I've got a plan afoot.

I don't believe you.

Fortunately, this does not change my plans. :-)

MF-Warburg added a comment.Via ConduitApr 7 2014, 10:40 PM

And that probably means "Fortunately, this does not change my plans in any way that will result in the fixing of this bug prior to 2016." :-(

PiRSquared17 added a comment.Via ConduitJun 15 2014, 2:07 AM

(In reply to Dan Garry from comment #25)

I've got a plan afoot. Stay tuned for more information.

Bug 14862 is close to being resolved. Any news?
https://wikitech.wikimedia.org/w/index.php?title=Deployments&oldid=116060#Next_month

Scott added a comment.Via ConduitJun 16 2014, 10:34 PM

(In reply to MF-Warburg from comment #29)

And that probably means "Fortunately, this does not change my plans in any
way that will result in the fixing of this bug prior to 2016." :-(

Hey, that'll make it a nice round ten years of not being done.

https://github.com/wikimedia/mediawiki-extensions-CentralAuth/commit/f34d746dd1133f42ad878c9ad3740148d6628c41#diff-78ccdd1419c89ebda99c7fe418fc64a1

bd808 added a comment.Via ConduitJul 9 2014, 5:55 PM

Making this a proper tracking bug by blocking bug 2007 and adding the tracking keyword.

Jarry1250 added a comment.Via ConduitAug 21 2014, 10:00 PM

Just to followup re: timescales for the casual bugspam follower, it's looking more like the first quarter of 2015 for this than 2016 (source: Dan Garry).

Aklapper edited projects, added SUL-Finalization; removed Wikimedia-Site-requests.Via WebDec 2 2014, 2:21 PM
Aklapper set Security to None.
Keegan added a subscriber: Keegan.Via WebDec 5 2014, 8:44 PM
Keegan moved this task to Doing on the SUL-Finalization workboard.Via WebDec 5 2014, 8:47 PM
Pcoombe added a subscriber: Pcoombe.Via WebDec 9 2014, 7:21 PM
Glaisher mentioned this in SUL-Finalization.Via WebJan 4 2015, 4:38 PM
waldyrious added a subscriber: waldyrious.Via WebJan 14 2015, 2:14 PM
Liuxinyu970226 added a subscriber: Liuxinyu970226.Via WebJan 24 2015, 7:23 AM
-jem- added a subscriber: -jem-.Via WebJan 26 2015, 9:14 AM
Rdicerb added a subscriber: Rdicerb.Via WebFeb 3 2015, 9:18 PM
Legoktm changed the status of blocking task T73241: Run sendConfirmAndMigrateEmail.php for all unconfirmed emails on all wikis from "Stalled" to "Open".Via WebFeb 12 2015, 7:47 PM
Az1568 added a subscriber: Az1568.Via WebFeb 14 2015, 2:41 AM
jeremyb added a subscriber: jeremyb.Via WebFeb 16 2015, 3:30 AM
Ricordisamoa awarded a token.Via WebFeb 17 2015, 9:52 PM
Ricordisamoa added a subscriber: Ricordisamoa.
Shanmugamp7 added a subscriber: Shanmugamp7.Via WebFeb 19 2015, 8:37 AM
Alchimista added a subscriber: Alchimista.Via WebFeb 19 2015, 10:17 AM
KTC added a subscriber: KTC.Via WebFeb 19 2015, 1:27 PM
Eloquence added a project: Roadmap.Via WebMar 5 2015, 7:40 AM
Eloquence moved this task to June 2015: Technology on the Roadmap workboard.
Jdforrester-WMF added a project: Epic.Via WebMar 5 2015, 10:28 PM
Dcljr added a subscriber: Dcljr.Via WebMar 6 2015, 12:29 AM
DerHexer added a subscriber: DerHexer.Via WebMar 13 2015, 7:40 PM
Harej added a subscriber: Harej.Via WebMar 17 2015, 6:48 AM
Asahiko added a subscriber: Asahiko.Via WebMar 18 2015, 6:55 PM
Eloquence moved this task to April 2015: Platform on the Roadmap workboard.Via WebApr 2 2015, 7:58 PM
Restricted Application added a project: notice. · View Herald TranscriptVia HeraldApr 2 2015, 7:58 PM
gpaumier added a project: user-notice.Via WebApr 3 2015, 8:43 PM
gpaumier moved this task to Triaged on the notice workboard.
gpaumier moved this task to Not ready to announce on the user-notice workboard.Via WebApr 3 2015, 8:55 PM
MZMcBride added a comment.Via WebApr 3 2015, 11:20 PM

Just to followup re: timescales for the casual bugspam follower, it's looking more like the first quarter of 2015 for this than 2016 (source: Dan Garry).

Yes, I'm told this (near?) completion of account unification will happen in April 2015.

Keegan added a comment.Via WebApr 4 2015, 12:47 AM

Just to followup re: timescales for the casual bugspam follower, it's looking more like the first quarter of 2015 for this than 2016 (source: Dan Garry).

Yes, I'm told this (near?) completion of account unification will happen in April 2015.

Indeed. The Great Renaming of 2015 is scheduled to begin on or around 15 April 2015.

Nemo_bis added a comment.Via WebApr 4 2015, 7:48 AM

IIRC, other than T73241, we have not sent any real email notification to the accounts in question. The only emails were Echo's undecipherable enotiftalk. I think affected users should receive at least one email on the matter at least one week before the renames.

Should/can we do a final sendConfirmAndMigrateEmail.php run over *all* email addresses (confirmed or not, owned by a global account or not) of all usernames with unattached accounts?

MarkAHershberger removed a subscriber: MarkAHershberger.Via EmailApr 8 2015, 4:45 PM
  • Original Message -----

Tgr added a blocked task: T74469: OAuth: Authorisation should not fail
because you don't have an account on central wiki.

TASK DETAIL
https://phabricator.wikimedia.org/T37707

REPLY HANDLER ACTIONS
Reply to comment or attach files, or !close, !claim, !unsubscribe or !assign
<username>.

EMAIL PREFERENCES
https://phabricator.wikimedia.org/settings/panel/emailpreferences/

To: Legoktm, Tgr
Cc: Asahiko, Harej, DerHexer, Dcljr, KTC, Alchimista, Shanmugamp7,
Ricordisamoa, jeremyb, Az1568, Rdicerb, -jem-, Liuxinyu970226, Stefan2,
Jdforrester-WMF, MarcoAurelio, Krenair, matmarex, Elitre, Legoktm, Nemo_bis,
Scott, waldyrious, Addshore, Merl, jayvdb, PiRSquared17, MarkAHershberger,
Denny, Jarry1250, Revi, Glaisher, bd808, Deskana, Rschen7754, Platonides,
MZMcBride, Quiddity, Bencmq, Aklapper, Pcoombe, DanielFriesen, Keegan,
Catrope, RobLa-WMF, Trijnstel, Mabdul, MF-Warburg, Reedy, Stryn,
Dinoguy1000, hoo, vvv, gpaumier, Se4598, Jay8g

Keegan added a comment.Via WebApr 8 2015, 11:14 PM

IIRC, other than T73241, we have not sent any real email notification to the accounts in question. The only emails were Echo's undecipherable enotiftalk. I think affected users should receive at least one email on the matter at least one week before the renames.

Should/can we do a final sendConfirmAndMigrateEmail.php run over *all* email addresses (confirmed or not, owned by a global account or not) of all usernames with unattached accounts?

Based on the immediate response rate after the last ConfirmAndMigrate pass, as well as the response to the talk page notifications, I'm fairly convinced that another email pass is not necessary and that we've reached account holders who are likely to visit their accounts or check their email within a month. Those stats will be available again in graphic form when we can unbreak the graph from the spikes :) I'll see about getting another SUL audit update on mw.org.

gpaumier moved this task to Archive on the notice workboard.Via WebApr 9 2015, 5:45 PM
Eloquence moved this task to April 13-17 on the Roadmap workboard.Via WebApr 9 2015, 9:57 PM
gpaumier moved this task to Announce in next Tech/News on the user-notice workboard.Via WebApr 9 2015, 10:33 PM
gpaumier moved this task to In current Tech News draft on the user-notice workboard.Via WebApr 10 2015, 9:50 PM
gpaumier moved this task to Recently announced in Tech/News on the user-notice workboard.Via WebApr 10 2015, 10:23 PM
gpaumier moved this task to Archive on the user-notice workboard.Via WebApr 17 2015, 3:23 PM
Eloquence moved this task to April 20-24 on the Roadmap workboard.Via WebApr 21 2015, 5:41 AM
Legoktm added a comment.Via WebApr 22 2015, 7:43 AM

\o/ https://lists.wikimedia.org/pipermail/wikimedia-l/2015-April/077623.html nearly all the renames are done, but this bug should stay open until $wgCentralAuthStrict = true on the cluster.

bd808 awarded a token.Via WebApr 22 2015, 4:00 PM
Stefan2 added a comment.Via WebApr 22 2015, 6:54 PM

\o/ https://lists.wikimedia.org/pipermail/wikimedia-l/2015-April/077623.html nearly all the renames are done, but this bug should stay open until $wgCentralAuthStrict = true on the cluster.

On svwiki, Special:UsersWhoWillBeRenamed still lists lots of user names, and there is one user with zero-length user name on dewiki. On the other hand, the special page doesn't list anyone on enwiki or jawiki. Is this intentional?

Harej awarded a token.Via WebApr 22 2015, 6:55 PM
Nemo_bis added a comment.Via WebApr 22 2015, 7:15 PM

there is one user with zero-length user name on dewiki.

T5507?

Keegan added a comment.Via WebApr 22 2015, 11:17 PM

there is one user with zero-length user name on dewiki.

T5507?

Likely. Legoktm is going to resolve that when he gets back next week. Pretty much all he has to do is reconfigure Maintenance script and run it. There's other database cleanup stuff left to do, but for now we're 99.99995% complete, account-wise.

gpaumier moved this task to This week: May 4-8 on the Roadmap workboard.Via WebWed, May 6, 9:12 PM
greg moved this task to This week: May 11-15 on the Roadmap workboard.Via WebMon, May 11, 2:18 PM
greg added a subscriber: greg.Via WebSat, May 16, 5:31 AM

there is one user with zero-length user name on dewiki.

T5507?

Likely. Legoktm is going to resolve that when he gets back next week. Pretty much all he has to do is reconfigure Maintenance script and run it. There's other database cleanup stuff left to do, but for now we're 99.99995% complete, account-wise.

Update?

Add Comment